using System;
using System.Collections.Generic;
using System.Text;

namespace RX_Sample._03_ReactiveX
{
    class Sample01
    {
        public Sample01()
        {
            IObservable<int> observer = null;
            var subscription = observer
                .Subscribe(
                    OnNext,
                    OnError,
                    OnCompleted);
        }

        private void OnNext(int value)
        {

        }

        private void OnError(Exception exception)
        {

        }

        private void OnCompleted()
        {

        }
    }
}
